### Method

# Vips Image project

#### Declaration [src]

    int
    vips_project (
      VipsImage* in,
      VipsImage** columns,
      VipsImage** rows,
      ...
    )

#### Description [src]

Find the horizontal and vertical projections of an image, ie. the sum of every row of pixels, and the sum of every column of pixels. The output format is uint, int or double, depending on the input format.

Non-complex images only.

See also

`vips_hist_find()`, `vips_profile()`.

This method is not directly available to language bindings.

#### Parameters

`columns`

  Type: `VipsImage`

  Sums of columns.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`rows`

  Type: `VipsImage`

  Sums of rows.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.